Subject: bug#19049: 25.0.50; emacs-repository-get-version doesn't work with git

From: Dmitry Gutov <[email-masked]>
Date: Fri, 14 Nov 2014 16:58:01 +0200

On 11/14/2014 04:52 PM, Eli Zaretskii wrote:

>> Either with a separate step of 'git commit --amend', or by passing '-e'
>> to 'git cherry-pick' (just found about it by reading the man page).
>
> There goes the "obvious" part.

It just requires a bit more thought, in order to realize that Git won't 
exactly add anything to the commit message, just because it's an Emacs 
convention.

Sorry, as a Git user, I'm quite used to doing some history rewriting 
before doing push. I suppose others will get used to it, too.